Main Page | Directories | File List | File Members | Related Pages

# Splits.c File Reference

`#include "party.h"`

Include dependency graph for Splits.c:

Go to the source code of this file.

## Functions
void | C_split (const double *x, int p, const double *y, int q, const double *weights, int n, const int *orderx, const double *score_y, const int ORDERED, SEXP splitctrl, SEXP linexpcov2sample, SEXP expcovinf, double *cutpoint, double *maxstat, double *statistics)
SEXP | R_split (SEXP x, SEXP y, SEXP weights, SEXP orderx, SEXP linexpcov2sample, SEXP expcovinf, SEXP splitctrl)
void | C_splitcategorical (const int *codingx, int p, const double *y, int q, const double *weights, int n, const double *score_y, const int ORDERED, double *standstat, SEXP splitctrl, SEXP linexpcov2sample, SEXP expcovinf, double *cutpoint, int *levelset, double *maxstat, double *statistics)
SEXP | R_splitcategorical (SEXP x, SEXP codingx, SEXP y, SEXP weights, SEXP linexpcov2sample, SEXP linexpcov, SEXP expcovinf, SEXP splitctrl)

## Detailed Description

Binary splits

Author:
  Author
    hothorn

Date:
  Date
    2005-10-19 16:40:37 +0200 (Wed, 19 Oct 2005)

Definition in file Splits.c.

## Function Documentation

void C_split | ( | const double * | x,
|  | int | p,
|  | const double * | y,
|  | int | q,
|  | const double * | weights,
|  | int | n,
|  | const int * | orderx,
|  | const double * | score_y,
|  | const int | ORDERED,
|  | SEXP | splitctrl,
|  | SEXP | linexpcov2sample,
|  | SEXP | expcovinf,
|  | double * | cutpoint,
|  | double * | maxstat,
|  | double * | statistics
| ) |

  | Search for a cutpoint in a ordered variable x maximizing a two-sample statistic w.r.t. (the influence function of ) the response variable y. Parameters:
  | x | raw numeric measurements
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | orderx | the ordering of the transformations, i.e. R> order(x)
  | score_y | the q-dim. score vector for y, if y is an ordered factor
  | ORDERED | a logical coding whether y is an ordered factor
  | splitctrl | an object of class `SplitControl'
  | linexpcov2sample | an (uninitialized) object of class `LinStatExpectCovar' with p = 1
  | expcovinf | an initialized object of class `ExpectCovarInfluence'
  | cutpoint | return value; pointer to a double for the cutpoint in x
  | maxstat | return value; pointer to a double for the maximal test statistic
  | statistics | return value; pointer to a n-dim double for the statistics
Definition at line 35 of file Splits.c. References get_minbucket(), get_minprob(), get_tol(), PL2_covarianceSym, PL2_expectationSym, PL2_linearstatisticSym, and PL2_sumweightsSym. Referenced by C_Node(), C_splitcategorical(), C_surrogates(), and R_split(). Here is the call graph for this function:

void C_splitcategorical | ( | const int * | codingx,
|  | int | p,
|  | const double * | y,
|  | int | q,
|  | const double * | weights,
|  | int | n,
|  | const double * | score_y,
|  | const int | ORDERED,
|  | double * | standstat,
|  | SEXP | splitctrl,
|  | SEXP | linexpcov2sample,
|  | SEXP | expcovinf,
|  | double * | cutpoint,
|  | int * | levelset,
|  | double * | maxstat,
|  | double * | statistics
| ) |

  | Search for a cutpoint in a unordered factor x maximizing a two-sample statistic w.r.t. (the influence function of ) the response variable y. Parameters:
  | codingx | the coding of x, i.e. as.numeric(x)
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | codingx | the coding of x, i.e. as.numeric(x)
  | score_y | the q-dim. score vector for y, if y is an ordered factor
  | ORDERED | a logical coding whether y is an ordered factor
  | standstat | the vector of the standardized statistics for x, y, weights, score_y
  | splitctrl | an object of class `SplitControl'
  | linexpcov2sample | an (uninitialized) object of class `LinStatExpectCovar' with p = 1
  | expcovinf | an initialized object of class `ExpectCovarInfluence'
  | cutpoint | return value; pointer to a double for the cutpoint in x
  | levelset | return value; pointer to a p-dim 0/1 integer
  | maxstat | return value; pointer to a double for the maximal test statistic
  | statistics | return value; pointer to a n-dim double for the statistics
Definition at line 246 of file Splits.c. References C_split(), and get_tol(). Referenced by C_Node(), and R_splitcategorical(). Here is the call graph for this function:

SEXP R_split | ( | SEXP | x,
|  | SEXP | y,
|  | SEXP | weights,
|  | SEXP | orderx,
|  | SEXP | linexpcov2sample,
|  | SEXP | expcovinf,
|  | SEXP | splitctrl
| ) |

  | R-interface to C_split (does not handle ordered y's) Parameters:
  | x | values of the transformation
  | y | values of the influence function
  | weights | case weights
  | orderx | the ordering of the transformations, i.e. R> order(x)
  | linexpcov2sample | an (uninitialized) object of class `LinStatExpectCovar' with p = 1
  | expcovinf | an initialized object of class `ExpectCovarInfluence'
  | splitctrl | an object of class `SplitControl'
Definition at line 202 of file Splits.c. References C_split(), ncol(), and nrow(). Here is the call graph for this function:

SEXP R_splitcategorical | ( | SEXP | x,
|  | SEXP | codingx,
|  | SEXP | y,
|  | SEXP | weights,
|  | SEXP | linexpcov2sample,
|  | SEXP | linexpcov,
|  | SEXP | expcovinf,
|  | SEXP | splitctrl
| ) |

  | R-interface to C_splitcategorical (does not handle ordered y's) Parameters:
  | x | the values of the x-transformation
  | codingx | the coding of x, i.e. as.numeric(x)
  | y | values of the influence function
  | weights | case weights
  | linexpcov2sample | an (uninitialized) object of class `LinStatExpectCovar' with p = 1
  | linexpcov | an initialized object of class `LinStatExpectCovar'
  | expcovinf | an initialized object of class `ExpectCovarInfluence'
  | splitctrl | an object of class `SplitControl'
Definition at line 339 of file Splits.c. References C_LinStatExpCov(), C_splitcategorical(), C_standardize(), get_dimension(), get_tol(), ncol(), nrow(), PL2_covarianceSym, PL2_expcovinfSym, PL2_expectationSym, and PL2_linearstatisticSym. Here is the call graph for this function: